summaryrefslogtreecommitdiff
path: root/net-voip
diff options
context:
space:
mode:
authorIgor <pashev.igor@gmail.com>2011-03-31 01:51:23 +0400
committerIgor <pashev.igor@gmail.com>2011-03-31 01:51:23 +0400
commit1f19eb46e509c1a2e21cc8ac5f974b706289a131 (patch)
treef752bef924f65b0373e4ac013ff2e7d0b226cec2 /net-voip
parentcaf82ba6d85e50d9c22a211d5c715be5d0361c4a (diff)
downloadebuilds-1f19eb46e509c1a2e21cc8ac5f974b706289a131.tar.gz
Ekiga 3.3.0, PTlib 2.8.4, Opal 3.8.4
Diffstat (limited to 'net-voip')
-rw-r--r--net-voip/ekiga/Manifest5
-rw-r--r--net-voip/ekiga/ekiga-3.3.0.ebuild183
-rw-r--r--net-voip/ekiga/files/ekiga-3.3.0-plugins_resource-list_const-iterator.patch48
-rw-r--r--net-voip/ekiga/files/ekiga-3.3.0-plugins_resource-list_parentheses.patch12
-rw-r--r--net-voip/ekiga/metadata.xml17
5 files changed, 265 insertions, 0 deletions
diff --git a/net-voip/ekiga/Manifest b/net-voip/ekiga/Manifest
new file mode 100644
index 0000000..d0a4aac
--- /dev/null
+++ b/net-voip/ekiga/Manifest
@@ -0,0 +1,5 @@
+AUX ekiga-3.3.0-plugins_resource-list_const-iterator.patch 2020 RMD160 cac672282dab2dead8f179c4fb646cba2990422a SHA1 01fcbc63bef99311d8a443423fa93ee96e6a8d8f SHA256 0fff9f2972fb85d888ea2bb66708701becd206219b69967ea793f62f020ffcca
+AUX ekiga-3.3.0-plugins_resource-list_parentheses.patch 661 RMD160 ed82309b14452df4fca6a07d55a955fddbafb1e9 SHA1 7ae1a33e89f3768d445c7a26fcc77739f964a540 SHA256 912018742fe2851da4ab7b7b603ee0840524b0e04277a76b012d05776a953627
+DIST ekiga-3.3.0.tar.bz2 9179510 RMD160 7cce53efbc5f097fe5e50b51a422f01ef2406d85 SHA1 d6127b0a8132d572b298e212c2901c02d4a93e45 SHA256 3fb22704e44afebf4294632505fb7a13f3eccb152fcb5878e97aa556d9486d2c
+EBUILD ekiga-3.3.0.ebuild 5149 RMD160 ff3a1c30440670e5ff7687998c5d5b579e98524b SHA1 773d1579865cd4b90d83c96b74e6069b32747fe2 SHA256 d61d14706234c04f489652e9f60617f940c405760e6637ad39e2d84903cf7685
+MISC metadata.xml 572 RMD160 ed1c0b6f7b51be67aa96c2c5c042fbef023c6a72 SHA1 33e80a99b5ad43d02439c5454f594adb961307d8 SHA256 6c1b059a423b06dae8acda431a06e0a80568b3fce52d6c9d42cceddc2325a8b2
diff --git a/net-voip/ekiga/ekiga-3.3.0.ebuild b/net-voip/ekiga/ekiga-3.3.0.ebuild
new file mode 100644
index 0000000..775ac0a
--- /dev/null
+++ b/net-voip/ekiga/ekiga-3.3.0.ebuild
@@ -0,0 +1,183 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-voip/ekiga/ekiga-3.2.7.ebuild,v 1.8 2011/02/28 17:15:37 ssuominen Exp $
+
+EAPI=3
+
+KDE_REQUIRED="optional"
+CMAKE_REQUIRED="never"
+GCONF_DEBUG="no" # debug managed by the ebuild
+
+inherit eutils kde4-base gnome2
+# gnome2 at the end to make it default
+
+DESCRIPTION="H.323 and SIP VoIP softphone"
+HOMEPAGE="http://www.ekiga.org/"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="avahi dbus debug doc eds gconf gnome gstreamer h323 kde kontact ldap
+libnotify mmx nls +shm static v4l xcap xv"
+
+RDEPEND=">=dev-libs/glib-2.14.0:2
+ dev-libs/libsigc++:2
+ dev-libs/libxml2:2
+ >=net-libs/opal-3.8.3[audio,sip,video,debug=,h323?]
+ >=net-libs/ptlib-2.8.3[stun,video,wav,debug=]
+ >=x11-libs/gtk+-2.12.0:2
+ avahi? ( >=net-dns/avahi-0.6[dbus] )
+ dbus? ( >=sys-apps/dbus-0.36
+ >=dev-libs/dbus-glib-0.36 )
+ eds? ( >=gnome-extra/evolution-data-server-1.2 )
+ gconf? ( >=gnome-base/gconf-2.6.0:2 )
+ gnome? ( || ( >=x11-libs/gtk+-2.14:2
+ ( >=gnome-base/libgnome-2.14.0
+ >=gnome-base/libgnomeui-2.14.0 ) ) )
+ gstreamer? ( >=media-libs/gst-plugins-base-0.10.21.3:0.10 )
+ kde? ( kontact? ( $(add_kdebase_dep kdepimlibs) ) )
+ ldap? ( dev-libs/cyrus-sasl:2
+ net-nds/openldap )
+ libnotify? ( x11-libs/libnotify )
+ shm? ( x11-libs/libXext )
+ xcap? ( net-libs/libsoup:2.4 )
+ xv? ( x11-libs/libXv )"
+DEPEND="${RDEPEND}
+ >=dev-util/intltool-0.35
+ >=dev-util/pkgconfig-0.20
+ sys-devel/gettext
+ doc? ( app-text/scrollkeeper
+ app-text/gnome-doc-utils )
+ v4l? ( sys-kernel/linux-headers )"
+
+DOCS="AUTHORS ChangeLog FAQ MAINTAINERS NEWS README TODO"
+
+# NOTES:
+# having >=gtk+-2.14 is actually removing need of +gnome but it's clearer to
+# represent it with || in gnome dep
+# TODO: gnome2 eclass add --[dis|en]able-gtk-doc wich throws a QA warning
+# a patch has been submitted, see bug 262491
+# ptlib/opal needed features are not checked by ekiga, upstream bug 577249
+# +doc is not installing dev doc (doxygen)
+
+# UPSTREAM:
+# contact ekiga team to be sure intltool and gettext are not nls deps
+
+pkg_setup() {
+ forceconf=""
+
+ if use kde; then
+ kde4-base_pkg_setup
+ fi
+
+ if use kontact && ! use kde; then
+ ewarn "To enable kontact USE flag, you need kde USE flag to be enabled."
+ ewarn "If you need kontact support, please, re-emerge with kde enabled."
+ forceconf="${forceconf} --disable-kab"
+ fi
+
+ # update scrollkeeper database if doc has been enabled
+ if use doc; then
+ SCROLLKEEPER_UPDATE=1
+ else
+ SCROLLKEEPER_UPDATE=0
+ fi
+
+ # dbus-service: always enable if dbus is enabled, no reason to disable it
+ # scrollkeeper: updates scrollkeeper database
+ # schemas-install: install gconf schemas
+ G2CONF="${G2CONF}
+ --disable-dependency-tracking
+ --disable-maintainer-mode
+ --enable-libtool-lock
+ $(use_enable avahi)
+ $(use_enable dbus)
+ $(use_enable dbus dbus_service)
+ $(use_enable debug gtk-debug)
+ $(use_enable debug opal-debug)
+ $(use_enable doc gdu)
+ $(use_enable doc scrollkeeper)
+ $(use_enable eds)
+ $(use_enable gconf)
+ $(use_enable gconf schemas-install)
+ $(use_enable gnome)
+ $(use_enable gstreamer)
+ $(use_enable h323)
+ $(use_enable kde)
+ $(use_enable kontact kab)
+ $(use_enable ldap)
+ $(use_enable libnotify notify)
+ $(use_enable mmx)
+ $(use_enable nls)
+ $(use_enable shm)
+ $(use_enable static static-libs)
+ $(use_enable xcap)
+ $(use_enable xv)
+ ${forceconf}"
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-plugins_resource-list_parentheses.patch
+ epatch "${FILESDIR}"/${P}-plugins_resource-list_const-iterator.patch
+
+ gnome2_src_prepare
+
+ # remove call to gconftool-2 --shutdown, upstream bug 555976
+ # gnome-2 eclass is reloading schemas with SIGHUP
+ sed -i -e '/gconftool-2 --shutdown/d' Makefile.in || die "sed failed"
+
+ # V4L support is auto-enabled, want it to be a user choice
+ # do not contact upstream because that's a hack
+ # TODO: check if upstream has removed this hack
+ if ! use v4l; then
+ sed -i -e "s/V4L=\"enabled\"/V4L=\"disabled\"/" configure \
+ || die "sed failed"
+ fi
+
+ # compatibility with kdeprefix, fix bug 283033
+ if use kde; then
+ sed -i -e "s:\tKDE_CFLAGS=\(.*\):\tKDE_CFLAGS=\"\1 -I${KDEDIR}/include\":" \
+ configure || die "sed failed"
+ sed -i -e "s:\(KDE_LIBS=.*\)\(-lkdeui\):\1-L${KDEDIR}/$(get_libdir) \2:" \
+ configure || die "sed failed"
+ fi
+}
+
+src_test() {
+ # must be explicit because kde4-base in exporting a src_test function
+ emake -j1 check || die "emake check failed"
+}
+
+src_install() {
+ gnome2_src_install
+
+ if use doc && use dbus; then
+ insinto "/usr/share/doc/${PF}/"
+ doins doc/using_dbus.html || die "doins failed"
+ fi
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if use kde; then
+ kde4-base_pkg_postinst
+ fi
+
+ if ! use gnome; then
+ ewarn "USE=-gnome is experimental, weirdness with UI and config keys can appear."
+ fi
+
+ if use gstreamer || use kde || use xcap || use kontact; then
+ ewarn "You have enabled gstreamer, kde, xcap or kontact USE flags."
+ ewarn "Those USE flags are considered experimental features."
+ fi
+}
+
+pkg_postrm() {
+ gnome2_pkg_postrm
+
+ if use kde; then
+ kde4-base_pkg_postrm
+ fi
+}
diff --git a/net-voip/ekiga/files/ekiga-3.3.0-plugins_resource-list_const-iterator.patch b/net-voip/ekiga/files/ekiga-3.3.0-plugins_resource-list_const-iterator.patch
new file mode 100644
index 0000000..26a1cd7
--- /dev/null
+++ b/net-voip/ekiga/files/ekiga-3.3.0-plugins_resource-list_const-iterator.patch
@@ -0,0 +1,48 @@
+diff -urdb ekiga-3.3.0.orig/plugins/resource-list/rl-heap.cpp ekiga-3.3.0/plugins/resource-list/rl-heap.cpp
+--- ekiga-3.3.0.orig/plugins/resource-list/rl-heap.cpp 2010-11-04 20:43:15.000000000 +0300
++++ ekiga-3.3.0/plugins/resource-list/rl-heap.cpp 2011-03-31 01:30:37.000000000 +0400
+@@ -185,7 +185,7 @@
+ {
+ bool go_on = true;
+
+- for (std::map<PresentityPtr,std::list<boost::signals::connection> >::iterator
++ for (std::map<PresentityPtr,std::list<boost::signals::connection> >::const_iterator
+ iter = presentities.begin ();
+ go_on && iter != presentities.end ();
+ ++iter)
+@@ -254,7 +254,7 @@
+ while ( !presentities.empty ()) {
+
+ presentities.begin()->first->removed ();
+- for (std::list<boost::signals::connection>::iterator iter2
++ for (std::list<boost::signals::connection>::const_iterator iter2
+ = presentities.begin()->second.begin ();
+ iter2 != presentities.begin()->second.end ();
+ ++iter2)
+@@ -381,7 +381,7 @@
+ RL::Heap::push_presence (const std::string uri_,
+ const std::string presence)
+ {
+- for (std::map<PresentityPtr,std::list<boost::signals::connection> >::iterator
++ for (std::map<PresentityPtr,std::list<boost::signals::connection> >::const_iterator
+ iter = presentities.begin ();
+ iter != presentities.end ();
+ ++iter) {
+@@ -395,7 +395,7 @@
+ RL::Heap::push_status (const std::string uri_,
+ const std::string status)
+ {
+- for (std::map<PresentityPtr,std::list<boost::signals::connection> >::iterator
++ for (std::map<PresentityPtr,std::list<boost::signals::connection> >::const_iterator
+ iter = presentities.begin ();
+ iter != presentities.end ();
+ ++iter) {
+@@ -514,7 +514,7 @@
+ "contact on a remote server"));
+
+ std::set<std::string> all_groups;
+- for (std::map<PresentityPtr,std::list<boost::signals::connection> >::iterator
++ for (std::map<PresentityPtr,std::list<boost::signals::connection> >::const_iterator
+ iter = presentities.begin ();
+ iter != presentities.end ();
+ ++iter) {
diff --git a/net-voip/ekiga/files/ekiga-3.3.0-plugins_resource-list_parentheses.patch b/net-voip/ekiga/files/ekiga-3.3.0-plugins_resource-list_parentheses.patch
new file mode 100644
index 0000000..1180099
--- /dev/null
+++ b/net-voip/ekiga/files/ekiga-3.3.0-plugins_resource-list_parentheses.patch
@@ -0,0 +1,12 @@
+diff -urdb ekiga-3.3.0.orig/plugins/resource-list/rl-entry.cpp ekiga-3.3.0/plugins/resource-list/rl-entry.cpp
+--- ekiga-3.3.0.orig/plugins/resource-list/rl-entry.cpp 2010-11-22 12:43:04.000000000 +0300
++++ ekiga-3.3.0/plugins/resource-list/rl-entry.cpp 2011-03-31 01:26:44.000000000 +0400
+@@ -161,7 +161,7 @@
+ boost::bind (&RL::Entry::refresh, this));
+
+ if ( !uri.empty ())
+- populated = presence_core->populate_presentity_menu (Ekiga::PresentityPtr (this, null_deleter), uri, builder)
++ populated = presence_core->populate_presentity_menu (Ekiga::PresentityPtr (this, null_deleter()), uri, builder)
+ || populated;
+
+ return populated;
diff --git a/net-voip/ekiga/metadata.xml b/net-voip/ekiga/metadata.xml
new file mode 100644
index 0000000..9cf7a35
--- /dev/null
+++ b/net-voip/ekiga/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>voip</herd>
+ <maintainer>
+ <email>volkmar@gentoo.org</email>
+ <name>Mounir Lamouri</name>
+ </maintainer>
+ <use>
+ <flag name="gconf">Enable GConf support</flag>
+ <flag name="h323">Enable H.323 protocol</flag>
+ <flag name="shm">Enable the Shared Memory Extension from libXext</flag>
+ <flag name="static">Statically link to opal and ptlib</flag>
+ <flag name="xcap">Enable XML Configuration Access Protocal</flag>
+ </use>
+</pkgmetadata>
+